/*
 * KeywordLocationを配列として管理するコレクション
 */
package org.logical_paradox.fts;

import org.logical_paradox.common.io.ByteStream;
import org.logical_paradox.common.util.ArrayListByteStream;

/**
 * KeywordLocationの配列
 * この配列は，バイト列に変換して保存・復元が可能である
 * 
 * @author satoshi akabane@logical-paradox.org
 * @version 1.0
 */
public class KeywordLocationArrayListByteStream extends ArrayListByteStream {
	/**
	 * デフォルトコンストラクタ
	 */
	public KeywordLocationArrayListByteStream() {
		super();
	}
	/**
	 * コンストラクタ
	 * 
	 * @param bs 生成時に追加するオブジェクトの配列
	 */
	public KeywordLocationArrayListByteStream(ByteStream[] bs) {
		super(bs);
	}
	/**
	 * コンストラクタ
	 * @param bs 生成時に復元するオブジェクトのバイト列
	 */
	public KeywordLocationArrayListByteStream(byte[] bs) {
		super(bs);
	}

	/**
	 * バイト列からオブジェクトを復元する
	 * 何が具体的に復元されるかは，サブクラスで実装される
	 * @param bstream バイト列
	 * @return 復元されたオブジェクト
	 */
	protected ByteStream buildByteStreamObject(byte[] bstream) {
		return new KeywordLocation(bstream);
	}

}
